This time we’re going bigger than ever. Fabric, Power BI, SQL, AI and more. We're covering it all. You won't want to miss it.
Learn moreLevel up your Power BI skills this month - build one visual each week and tell better stories with data! Get started
Hi
I am using the new query parameters API https://msdn.microsoft.com/en-us/library/mt845781.aspx
I am able to call parameters fine, however when trying to set them i get an error message. After parsing the error I get this
VERBOSE: POST https://api.powerbi.com/v1.0/myorg/groups/e7229a42-46ef-4d80-b8ca-e42909509dbb/datasets/5ef116d7-917... with -1-byte payload
error : @{code=InvalidRequest; message=Dataset Parameters list is invalid in 5ef116d7-9179-40a2-8a30-a657265dfe4a. Reason: Empty;
target=5ef116d7-9179-40a2-8a30-a657265dfe4a}
I dont understand because the parameters list is not empty? I have created a physical table with the parameters and tried and then also created a list of values in the manage parameters settings and it still gives the same error.
Thanks,
Alexander
Can anybody from support point me in the right direction at least?
Hello team,
am new to power bi when i try to update parameter by using c# (Embeded)
UpdateDatasetParametersRequest updaetparamObj = new UpdateDatasetParametersRequest();
var jsonobj = "{\"updateDetails\": [{ \"name\": \"loggedTenantid\", \"newValue\": \"9\"}]}";
JavaScriptSerializer jsonSerializer = new JavaScriptSerializer();
updaetparamObj = jsonSerializer.Deserialize<UpdateDatasetParametersRequest>(jsonobj);
var updateParam = await client.Datasets.UpdateParametersInGroupAsync(WorkspaceId, report.DatasetId, updaetparamObj);
am facing below problem please do need full
Status: BadRequest (400) Response: {"error":{"code":"InvalidRequest","message":"Dataset parameter at position 1 is invalid in abcdefghigj. Reason: ActionNotSupported","target":"
abcdefghigj
"}} RequestId:
abcdefghigj
Check out the April 2026 Power BI update to learn about new features.
Sign up to receive a private message when registration opens and key events begin.
If you have recently started exploring Fabric, we'd love to hear how it's going. Your feedback can help with product improvements.